package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块入库信息业务研判详情对象 t_dk_ywyp_db_details
 * 
 * @author siwei
 * @date 2025-02-24
 */
public class TDkYwypDbDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 空间信息 */
    @Excel(name = "空间信息")
    private String geom;

    /** 上传数据ID */
    @Excel(name = "上传数据ID")
    private String uploadId;

    /** 空间属性 */
    @Excel(name = "空间属性")
    private String geomJson;

    /** 排序 */
    @Excel(name = "排序")
    private String sort;

    /** 地块编号(监测图斑编号) */
    @Excel(name = "地块编号(监测图斑编号)")
    private String dkbh;

    /** shp属性json */
    @Excel(name = "shp属性json")
    private String shpJson;

    /** 是否可以更新 0可以 1不可以 */
    @Excel(name = "是否可以更新 0可以 1不可以")
    private String checkUpdate;

    /** 合法性 */
    @Excel(name = "合法性")
    private String hfx;

    /** 合法性1 */
    @Excel(name = "合法性1")
    private String hfx1;

    /** 面积 */
    @Excel(name = "面积")
    private String mj;

    /** 面积集 */
    @Excel(name = "面积集")
    private String mjj;

    /** 编号集 */
    @Excel(name = "编号集")
    private String bhj;

    /** sheet页json */
    @Excel(name = "sheet页json")
    private String sheetJson;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setGeom(String geom) 
    {
        this.geom = geom;
    }

    public String getGeom() 
    {
        return geom;
    }
    public void setUploadId(String uploadId) 
    {
        this.uploadId = uploadId;
    }

    public String getUploadId() 
    {
        return uploadId;
    }
    public void setGeomJson(String geomJson) 
    {
        this.geomJson = geomJson;
    }

    public String getGeomJson() 
    {
        return geomJson;
    }
    public void setSort(String sort) 
    {
        this.sort = sort;
    }

    public String getSort() 
    {
        return sort;
    }
    public void setDkbh(String dkbh) 
    {
        this.dkbh = dkbh;
    }

    public String getDkbh() 
    {
        return dkbh;
    }
    public void setShpJson(String shpJson) 
    {
        this.shpJson = shpJson;
    }

    public String getShpJson() 
    {
        return shpJson;
    }
    public void setCheckUpdate(String checkUpdate) 
    {
        this.checkUpdate = checkUpdate;
    }

    public String getCheckUpdate() 
    {
        return checkUpdate;
    }
    public void setHfx(String hfx) 
    {
        this.hfx = hfx;
    }

    public String getHfx() 
    {
        return hfx;
    }
    public void setHfx1(String hfx1) 
    {
        this.hfx1 = hfx1;
    }

    public String getHfx1() 
    {
        return hfx1;
    }
    public void setMj(String mj) 
    {
        this.mj = mj;
    }

    public String getMj() 
    {
        return mj;
    }
    public void setMjj(String mjj) 
    {
        this.mjj = mjj;
    }

    public String getMjj() 
    {
        return mjj;
    }
    public void setBhj(String bhj) 
    {
        this.bhj = bhj;
    }

    public String getBhj() 
    {
        return bhj;
    }
    public void setSheetJson(String sheetJson) 
    {
        this.sheetJson = sheetJson;
    }

    public String getSheetJson() 
    {
        return sheetJson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("geom", getGeom())
            .append("uploadId", getUploadId())
            .append("geomJson", getGeomJson())
            .append("sort", getSort())
            .append("dkbh", getDkbh())
            .append("shpJson", getShpJson())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("checkUpdate", getCheckUpdate())
            .append("hfx", getHfx())
            .append("hfx1", getHfx1())
            .append("mj", getMj())
            .append("mjj", getMjj())
            .append("bhj", getBhj())
            .append("sheetJson", getSheetJson())
            .toString();
    }
}
